Lists organizations whose name, slug or email contains searchText (case-insensitive), one page at a time, sorted by sortBy (newest first by default), each with its active plan. Super admin only.
Query parameters
-
Default value is
1. -
Default value is
10. -
If skip/limit not provided, page/perPage will take precedence
-
If skip/limit not provided, page/perPage will take precedence
-
Values are
ascordesc. Default value isasc. -
Minimum length is
1, maximum length is100. -
Values are
createdAt,updatedAt, orname. Default value iscreatedAt.
GET
/admin/organization
curl \
--request GET 'http://api.example.com/admin/organization' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"data": {
"total": 42,
"page": 1,
"perPage": 20,
"skip": 0,
"limit": 20,
"totalPages": 3,
"nextPage": 2,
"previousPage": 42.0,
"data": [
{
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "Example Law LLP",
"slug": "example-law-llp",
"email": "office@example.com",
"contact": "Jane Doe",
"city": "New York",
"state": "NY",
"country": "US",
"description": "Litigation practice",
"phone": [
"+15555550100"
],
"logo": "https://files.example.com/logo.png",
"isActive": true,
"isPriority": false,
"activePlan": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"subscription": {},
"relatedSubscription": [
{}
],
"organization": {},
"seats": 5,
"seatsUsed": 3,
"devices": 10,
"deviceUsed": 4,
"storage": 100000000000,
"storageUsed": 12000000000,
"payments": [
{}
],
"type": "admin",
"isActive": true,
"isBetweenPlanChanges": false,
"storageInKb": 100000000,
"storageUsedInKb": 12000000,
"storageInMb": 100000,
"storageUsedInMb": 12000,
"storageInGb": 100,
"storageUsedInGb": 12,
"storageInTb": 0.1,
"storageUsedInTb": 0.012,
"isFreePlan": false,
"remainingSeats": 2,
"remainingDevices": 6,
"remainingStorage": 88000000000
},
"metadata": {},
"type": "law_firm",
"version": "v1"
}
]
},
"statusCode": 200,
"timestamp": "2026-01-15T10:15:00.000Z"
}